Bug 824562 - Yum-builddep don't download and install dependencies
Yum-builddep don't download and install dependencies
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
16
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 842347 870192
  Show dependency treegraph
 
Reported: 2012-05-23 14:13 EDT by Jerzy Spendel
Modified: 2014-01-21 18:22 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 870192 (view as bug list)
Environment:
Last Closed: 2013-02-13 15:52:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerzy Spendel 2012-05-23 14:13:21 EDT
Description of problem:
I can't recognize and download devel packages to build .src.rpm package with yum-builddep

Version-Release number of selected component (if applicable):
yum-builddep - 1.0

How reproducible:
Easy

Steps to Reproduce:
1. Type: yum-builddep <any package>
  
Actual results:

[root@FedoraJ jerzy]# yum-builddep xchat
Wczytane wtyczki: auto-update-debuginfo, langpacks, presto, refresh-packagekit
Enabling fedora-source repository
Enabling rpmfusion-free-source repository
Enabling rpmfusion-free-updates-source repository
Enabling rpmfusion-free-updates-testing-source repository
Enabling rpmfusion-nonfree-source repository
Enabling rpmfusion-nonfree-updates-source repository
Enabling rpmfusion-nonfree-updates-testing-source repository
Enabling updates-source repository
Enabling updates-testing-source repository
No source RPM found for 1:xchat-2.8.8-10.fc16.x86_64
No uninstalled build requires

Expected results:

Downloaded and installed dependencies.

Additional info:
Comment 1 Bruno Miguel 2012-06-07 09:27:34 EDT
I confirm this bug in Fedora 17, with all updates 'till today installed. Example:

"[root@fringe src]# yum-builddep firefox
Loaded plugins: langpacks, presto, refresh-packagekit
Enabling fedora-chromium-stable-source repository
Enabling fedora-source repository
Enabling rpmfusion-free-source repository
Enabling rpmfusion-free-updates-source repository
Enabling rpmfusion-nonfree-source repository
Enabling rpmfusion-nonfree-updates-source repository
Enabling updates-source repository
Enabling updates-testing-source repository
No source RPM found for firefox-12.0-1.fc17.i686
No source RPM found for firefox-13.0-1.fc17.i686
No uninstalled build requires"

Yum version is 3.4.3 and Yum-builddep is 1.0.



The source repositories are enabled in their respective files. This is my fedora.repo file:

[fedora]
name=Fedora $releasever - $basearch
failovermethod=priority
#baseurl=http://download.fedoraproject.org/pub/fedora/linux/releases/$releasever/Everything/$basearch/os/
mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=fedora-$releasever&arch=$basearch
enabled=1
metadata_expire=7d
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$basearch

[fedora-debuginfo]
name=Fedora $releasever - $basearch - Debug
failovermethod=priority
#baseurl=http://download.fedoraproject.org/pub/fedora/linux/releases/$releasever/Everything/$basearch/debug/
mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=fedora-debug-$releasever&arch=$basearch
enabled=1
metadata_expire=7d
gpgcheck=0
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$basearch

[fedora-source]
name=Fedora $releasever - Source
failovermethod=priority
#baseurl=http://download.fedoraproject.org/pub/fedora/linux/releases/$releasever/Everything/source/SRPMS/
mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=fedora-source-$releasever&arch=$basearch
enabled=1
metadata_expire=7d
gpgcheck=0
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$basearch
Comment 2 Bruno Miguel 2012-06-07 09:34:45 EDT
Adittional info: this happens to me in the 32bit release of Fedora 17
Comment 3 Marc-Andre Laverdiere 2012-10-21 22:04:43 EDT
I am having the same problem with Fedora 17 64 bits. I tried downgrading yum, and the result is the same.

$ sudo yum-builddep libreoffice
Loaded plugins: presto, refresh-packagekit
adobe-linux-x86_64                                                          2/2
google-talkplugin                                                           1/1
Enabling fedora-source repository
Enabling rpmfusion-free-source repository
Enabling rpmfusion-free-updates-source repository
Enabling rpmfusion-nonfree-source repository
Enabling rpmfusion-nonfree-updates-source repository
Enabling updates-source repository
No source RPM found for 1:libreoffice-3.5.7.2-2.fc17.x86_64
No source RPM found for 1:libreoffice-3.5.2.1-6.fc17.x86_64
No uninstalled build requires

Do I have a workaround?
Comment 4 Marc-Andre Laverdiere 2012-10-22 07:26:58 EDT
With the help of David Tardon in the LO IRC, we came up with this workaround:

yum install -y fedpkg; fedpkg clone -a libreoffice
sed -ne '/BuildRequires:/{s/BuildRequires://; s/,/ /;p}' libreoffice/libreoffice.spec > pkgs
sudo yum -y install $(cat pkgs)
Comment 5 Panu Matilainen 2012-10-23 06:13:31 EDT
The best option is to use yum-builddep on the spec directly, eg: 'yum-builddep libreoffice.spec'
Comment 6 Tim Lauridsen 2012-10-23 09:18:52 EDT
Works for me in F18.

Please report

$ rpm -q yum-utils

$ rpm -q yum

The *-source repositories  shall not be enabled by default. yum-builddeps will auto enable  the needed source repositories.
Comment 7 Tim Lauridsen 2012-10-23 09:32:37 EDT
Work for me in F17 too.

But, if I set the 

enabled=1 in the [fedora-source] section, in /etc/yum.repos.d/fedora.repo

Then it don't work any more :)

So if you set enabled=0, then it should work again.
Comment 8 Fedora End Of Life 2013-01-16 11:49:36 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora End Of Life 2013-02-13 15:52:06 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.